<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/ACL/test/Transport/MockHTTP2Connection.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_b1dfedc9efa610ba8c818c30206ff41f.html">ACL</a></li><li class="navelem"><a class="el" href="dir_2df864b0a635213c7e15391c7fd2f9dc.html">test</a></li><li class="navelem"><a class="el" href="dir_533d2869dc4e8069af67bd5b3d31045b.html">Transport</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">MockHTTP2Connection.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_mock_h_t_t_p2_connection_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment"> * Copyright 2018-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"> * Licensed under the Apache License, Version 2.0 (the &quot;License&quot;).</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment"> * You may not use this file except in compliance with the License.</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment"> * A copy of the License is located at</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment"> *     http://aws.amazon.com/apache2.0/</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment"> * or in the &quot;license&quot; file accompanying this file. This file is distributed</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment"> * on an &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment"> * express or implied. See the License for the specific language governing</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"> * permissions and limitations under the License.</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment"> */</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="preprocessor">#ifndef ALEXA_CLIENT_SDK_ACL_TEST_TRANSPORT_MOCKHTTP2CONNECTION_H_</span></div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="preprocessor">#define ALEXA_CLIENT_SDK_ACL_TEST_TRANSPORT_MOCKHTTP2CONNECTION_H_</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;</div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="preprocessor">#include &lt;chrono&gt;</span></div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="preprocessor">#include &lt;condition_variable&gt;</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="preprocessor">#include &lt;cstddef&gt;</span></div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="preprocessor">#include &lt;deque&gt;</span></div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="preprocessor">#include &lt;memory&gt;</span></div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="preprocessor">#include &lt;mutex&gt;</span></div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="preprocessor">#include &lt;string&gt;</span></div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;</div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="preprocessor">#include &lt;gmock/gmock.h&gt;</span></div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="preprocessor">#include &lt;gtest/gtest.h&gt;</span></div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;</div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_message_consumer_interface_8h.html">ACL/Transport/MessageConsumerInterface.h</a>&gt;</span></div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_promise_future_pair_8h.html">AVSCommon/Utils/PromiseFuturePair.h</a>&gt;</span></div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_http_response_code_8h.html">AVSCommon/Utils/HTTP/HttpResponseCode.h</a>&gt;</span></div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_h_t_t_p2_connection_interface_8h.html">AVSCommon/Utils/HTTP2/HTTP2ConnectionInterface.h</a>&gt;</span></div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_mock_h_t_t_p2_request_8h.html">MockHTTP2Request.h</a>&quot;</span></div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a> {</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;<span class="keyword">namespace </span>avsCommon {</div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;<span class="keyword">namespace </span>utils {</div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;<span class="keyword">namespace </span>http2 {</div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;<span class="keyword">namespace </span>test {</div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;</div><div class="line"><a name="l00045"></a><span class="lineno"><a class="line" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1test_1_1_mock_h_t_t_p2_connection.html">   45</a></span>&#160;<span class="keyword">class </span><a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1test_1_1_mock_h_t_t_p2_connection.html">MockHTTP2Connection</a> : <span class="keyword">public</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_connection_interface.html">HTTP2ConnectionInterface</a> {</div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;    <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1test_1_1_mock_h_t_t_p2_connection.html#a03b41569db4f1c7948e2cea41977a932">MockHTTP2Connection</a>(std::string dURL, std::string pingURL);</div><div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;</div><div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;    <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1test_1_1_mock_h_t_t_p2_connection.html#af216f9c92b34a4dbf2b7c0e951972ca9">~MockHTTP2Connection</a>() = <span class="keywordflow">default</span>;</div><div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;</div><div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;    std::shared_ptr&lt;HTTP2RequestInterface&gt; <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1test_1_1_mock_h_t_t_p2_connection.html#aa56f9787b2a1d233a9c197678c2026d0">createAndSendRequest</a>(<span class="keyword">const</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_request_config.html">HTTP2RequestConfig</a>&amp; config);</div><div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;    <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1test_1_1_mock_h_t_t_p2_connection.html#a3b1ca5815b583e362791ca1c8c2d2845">MOCK_METHOD0</a>(<a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_connection_interface.html#a23a3d2cedcddac0db490af9565b80cb3">disconnect</a>, <span class="keywordtype">void</span>());</div><div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;</div><div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1test_1_1_mock_h_t_t_p2_connection.html#acaf3f4faab6fb56b7919f5200f1cfdd8">isRequestQueueEmpty</a>();</div><div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;</div><div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;    std::shared_ptr&lt;MockHTTP2Request&gt; <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1test_1_1_mock_h_t_t_p2_connection.html#a5d6328d641903addbb8cac3320a6f531">waitForRequest</a>(std::chrono::milliseconds timeout, <span class="keywordtype">unsigned</span> requestNum = 1);</div><div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;</div><div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;    std::shared_ptr&lt;MockHTTP2Request&gt; <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1test_1_1_mock_h_t_t_p2_connection.html#aad44c8e1d7147d4671ac911d38fe3b52">dequeRequest</a>();</div><div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;</div><div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1test_1_1_mock_h_t_t_p2_connection.html#ad7a25b5377ecdb6190b3b1d0ec0c9a13">setWaitRequestHeader</a>(<span class="keyword">const</span> std::string&amp; matchString);</div><div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;</div><div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1test_1_1_mock_h_t_t_p2_connection.html#aa12164eae6b3ff036135f241c4948a76">waitForRequestWithHeader</a>(std::chrono::milliseconds timeout);</div><div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;</div><div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;    std::shared_ptr&lt;MockHTTP2Request&gt; <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1test_1_1_mock_h_t_t_p2_connection.html#a5923cb96afe8bbc60d9455fc5a8d8d54">waitForPostRequest</a>(<span class="keyword">const</span> std::chrono::milliseconds timeout);</div><div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;</div><div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160;    std::shared_ptr&lt;MockHTTP2Request&gt; <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1test_1_1_mock_h_t_t_p2_connection.html#a2eb16d6be8cd93db5022ec9da7da5505">waitForPingRequest</a>(<span class="keyword">const</span> std::chrono::milliseconds timeout);</div><div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160;</div><div class="line"><a name="l00125"></a><span class="lineno">  125</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1test_1_1_mock_h_t_t_p2_connection.html#afc007d1528aba47093b2af215f5495c8">respondToDownchannelRequests</a>(</div><div class="line"><a name="l00126"></a><span class="lineno">  126</span>&#160;        <span class="keywordtype">long</span> responseCode,</div><div class="line"><a name="l00127"></a><span class="lineno">  127</span>&#160;        <span class="keywordtype">bool</span> sendResponseFinished,</div><div class="line"><a name="l00128"></a><span class="lineno">  128</span>&#160;        <span class="keyword">const</span> std::chrono::milliseconds timeout);</div><div class="line"><a name="l00129"></a><span class="lineno">  129</span>&#160;</div><div class="line"><a name="l00136"></a><span class="lineno">  136</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1test_1_1_mock_h_t_t_p2_connection.html#af600d2888fd3f73e088ed7e3e8d8e75b">setResponseToPOSTRequests</a>(<a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1http.html#ac0bd21aabffbf134eb81295b65839893">http::HTTPResponseCode</a> responseCode);</div><div class="line"><a name="l00137"></a><span class="lineno">  137</span>&#160;</div><div class="line"><a name="l00143"></a><span class="lineno">  143</span>&#160;    std::shared_ptr&lt;MockHTTP2Request&gt; <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1test_1_1_mock_h_t_t_p2_connection.html#a314ecbe9bef579ea5630f0072eb3ad0c">getDownchannelRequest</a>(</div><div class="line"><a name="l00144"></a><span class="lineno">  144</span>&#160;        std::chrono::milliseconds timeout = std::chrono::milliseconds(0));</div><div class="line"><a name="l00145"></a><span class="lineno">  145</span>&#160;</div><div class="line"><a name="l00151"></a><span class="lineno">  151</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1test_1_1_mock_h_t_t_p2_connection.html#a6e18d00b4ef1a11f057ba73cc9c640a6">isPauseOnSendReceived</a>(std::chrono::milliseconds timeout = std::chrono::milliseconds(0));</div><div class="line"><a name="l00152"></a><span class="lineno">  152</span>&#160;</div><div class="line"><a name="l00153"></a><span class="lineno">  153</span>&#160;    <span class="comment">/*</span></div><div class="line"><a name="l00154"></a><span class="lineno">  154</span>&#160;<span class="comment">     * Get the number of POST requests in the queue.</span></div><div class="line"><a name="l00155"></a><span class="lineno">  155</span>&#160;<span class="comment">     *</span></div><div class="line"><a name="l00156"></a><span class="lineno">  156</span>&#160;<span class="comment">     * @return The number of POST requests in the queue.</span></div><div class="line"><a name="l00157"></a><span class="lineno">  157</span>&#160;<span class="comment">     */</span></div><div class="line"><a name="l00158"></a><span class="lineno">  158</span>&#160;    std::size_t <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1test_1_1_mock_h_t_t_p2_connection.html#ab13456bfa7e80b6b535ac3b987984670">getPostRequestsNum</a>();</div><div class="line"><a name="l00159"></a><span class="lineno">  159</span>&#160;</div><div class="line"><a name="l00160"></a><span class="lineno">  160</span>&#160;    <span class="comment">/*</span></div><div class="line"><a name="l00161"></a><span class="lineno">  161</span>&#160;<span class="comment">     * Get the number of HTTP2 requests in the queue.</span></div><div class="line"><a name="l00162"></a><span class="lineno">  162</span>&#160;<span class="comment">     *</span></div><div class="line"><a name="l00163"></a><span class="lineno">  163</span>&#160;<span class="comment">     * @return The number of HTTP2 requests in the queue.</span></div><div class="line"><a name="l00164"></a><span class="lineno">  164</span>&#160;<span class="comment">     */</span></div><div class="line"><a name="l00165"></a><span class="lineno">  165</span>&#160;    std::size_t <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1test_1_1_mock_h_t_t_p2_connection.html#ae73ac9e3c91c05bdb6d9d5561c572c69">getRequestsNum</a>();</div><div class="line"><a name="l00166"></a><span class="lineno">  166</span>&#160;</div><div class="line"><a name="l00167"></a><span class="lineno">  167</span>&#160;    <span class="comment">/*</span></div><div class="line"><a name="l00168"></a><span class="lineno">  168</span>&#160;<span class="comment">     * Get the number of downchannel requests in the queue.</span></div><div class="line"><a name="l00169"></a><span class="lineno">  169</span>&#160;<span class="comment">     *</span></div><div class="line"><a name="l00170"></a><span class="lineno">  170</span>&#160;<span class="comment">     * @return The number of downchannel requests in the queue.</span></div><div class="line"><a name="l00171"></a><span class="lineno">  171</span>&#160;<span class="comment">     */</span></div><div class="line"><a name="l00172"></a><span class="lineno">  172</span>&#160;    std::size_t <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1test_1_1_mock_h_t_t_p2_connection.html#a840e97bf24051d438b107c430fbf2f4e">getDownchannelRequestsNum</a>();</div><div class="line"><a name="l00173"></a><span class="lineno">  173</span>&#160;</div><div class="line"><a name="l00174"></a><span class="lineno">  174</span>&#160;    <span class="comment">/*</span></div><div class="line"><a name="l00175"></a><span class="lineno">  175</span>&#160;<span class="comment">     * Pop the oldest HTTP2 POST request from queue if it is not empty, otherwise wait for at most @c timeout for a</span></div><div class="line"><a name="l00176"></a><span class="lineno">  176</span>&#160;<span class="comment">     * request to be enqueued</span></div><div class="line"><a name="l00177"></a><span class="lineno">  177</span>&#160;<span class="comment">     *</span></div><div class="line"><a name="l00178"></a><span class="lineno">  178</span>&#160;<span class="comment">     * @return The oldest HTTP2 POST request in the queue or nullptr if the timeout expires</span></div><div class="line"><a name="l00179"></a><span class="lineno">  179</span>&#160;<span class="comment">     */</span></div><div class="line"><a name="l00180"></a><span class="lineno">  180</span>&#160;    std::shared_ptr&lt;MockHTTP2Request&gt; <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1test_1_1_mock_h_t_t_p2_connection.html#a12d64348573609658cd74604375f9fe6">dequePostRequest</a>(<span class="keyword">const</span> std::chrono::milliseconds timeout);</div><div class="line"><a name="l00181"></a><span class="lineno">  181</span>&#160;</div><div class="line"><a name="l00182"></a><span class="lineno">  182</span>&#160;    <span class="comment">/*</span></div><div class="line"><a name="l00183"></a><span class="lineno">  183</span>&#160;<span class="comment">     * Pop the oldest HTTP2 POST request from queue.</span></div><div class="line"><a name="l00184"></a><span class="lineno">  184</span>&#160;<span class="comment">     *</span></div><div class="line"><a name="l00185"></a><span class="lineno">  185</span>&#160;<span class="comment">     * @return The oldest HTTP2 POST request in the queue.</span></div><div class="line"><a name="l00186"></a><span class="lineno">  186</span>&#160;<span class="comment">     */</span></div><div class="line"><a name="l00187"></a><span class="lineno">  187</span>&#160;    std::shared_ptr&lt;MockHTTP2Request&gt; <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1test_1_1_mock_h_t_t_p2_connection.html#a12d64348573609658cd74604375f9fe6">dequePostRequest</a>();</div><div class="line"><a name="l00188"></a><span class="lineno">  188</span>&#160;</div><div class="line"><a name="l00189"></a><span class="lineno">  189</span>&#160;    <span class="comment">/*</span></div><div class="line"><a name="l00190"></a><span class="lineno">  190</span>&#160;<span class="comment">     * Pop the oldest HTTP2 Ping request from queue.</span></div><div class="line"><a name="l00191"></a><span class="lineno">  191</span>&#160;<span class="comment">     *</span></div><div class="line"><a name="l00192"></a><span class="lineno">  192</span>&#160;<span class="comment">     * @return The oldest HTTP2 Ping request in the queue.</span></div><div class="line"><a name="l00193"></a><span class="lineno">  193</span>&#160;<span class="comment">     */</span></div><div class="line"><a name="l00194"></a><span class="lineno">  194</span>&#160;    std::shared_ptr&lt;MockHTTP2Request&gt; <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1test_1_1_mock_h_t_t_p2_connection.html#a844bcc3b252c50d223cb2d109ff33941">dequePingRequest</a>();</div><div class="line"><a name="l00195"></a><span class="lineno">  195</span>&#160;</div><div class="line"><a name="l00196"></a><span class="lineno">  196</span>&#160;    <span class="comment">/*</span></div><div class="line"><a name="l00197"></a><span class="lineno">  197</span>&#160;<span class="comment">     * Retrieve the maximum number of POST requests in the queue at any given time.</span></div><div class="line"><a name="l00198"></a><span class="lineno">  198</span>&#160;<span class="comment">     *</span></div><div class="line"><a name="l00199"></a><span class="lineno">  199</span>&#160;<span class="comment">     * @return The maximum number of POST requests in the queue at any given time.</span></div><div class="line"><a name="l00200"></a><span class="lineno">  200</span>&#160;<span class="comment">     */</span></div><div class="line"><a name="l00201"></a><span class="lineno">  201</span>&#160;    std::size_t <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1test_1_1_mock_h_t_t_p2_connection.html#afa537ac3f87f6934e6b53cc742965edc">getMaxPostRequestsEnqueud</a>();</div><div class="line"><a name="l00202"></a><span class="lineno">  202</span>&#160;</div><div class="line"><a name="l00203"></a><span class="lineno">  203</span>&#160;<span class="keyword">private</span>:</div><div class="line"><a name="l00205"></a><span class="lineno">  205</span>&#160;    std::deque&lt;std::shared_ptr&lt;MockHTTP2Request&gt;&gt; m_requestQueue;</div><div class="line"><a name="l00206"></a><span class="lineno">  206</span>&#160;</div><div class="line"><a name="l00208"></a><span class="lineno">  208</span>&#160;    std::mutex m_requestMutex;</div><div class="line"><a name="l00209"></a><span class="lineno">  209</span>&#160;</div><div class="line"><a name="l00211"></a><span class="lineno">  211</span>&#160;    std::condition_variable m_requestCv;</div><div class="line"><a name="l00212"></a><span class="lineno">  212</span>&#160;</div><div class="line"><a name="l00214"></a><span class="lineno">  214</span>&#160;    std::string m_downchannelURL;</div><div class="line"><a name="l00215"></a><span class="lineno">  215</span>&#160;</div><div class="line"><a name="l00217"></a><span class="lineno">  217</span>&#160;    std::string m_pingURL;</div><div class="line"><a name="l00218"></a><span class="lineno">  218</span>&#160;</div><div class="line"><a name="l00220"></a><span class="lineno">  220</span>&#160;    std::deque&lt;std::shared_ptr&lt;MockHTTP2Request&gt;&gt; m_downchannelRequestQueue;</div><div class="line"><a name="l00221"></a><span class="lineno">  221</span>&#160;</div><div class="line"><a name="l00223"></a><span class="lineno">  223</span>&#160;    std::mutex m_downchannelRequestMutex;</div><div class="line"><a name="l00224"></a><span class="lineno">  224</span>&#160;</div><div class="line"><a name="l00225"></a><span class="lineno">  225</span>&#160;    <span class="comment">// Used to wake a thread that is waiting for a downchannel request.</span></div><div class="line"><a name="l00226"></a><span class="lineno">  226</span>&#160;    std::condition_variable m_downchannelRequestCv;</div><div class="line"><a name="l00227"></a><span class="lineno">  227</span>&#160;</div><div class="line"><a name="l00229"></a><span class="lineno">  229</span>&#160;    std::deque&lt;std::shared_ptr&lt;MockHTTP2Request&gt;&gt; m_postRequestQueue;</div><div class="line"><a name="l00230"></a><span class="lineno">  230</span>&#160;</div><div class="line"><a name="l00232"></a><span class="lineno">  232</span>&#160;    std::mutex m_postRequestMutex;</div><div class="line"><a name="l00233"></a><span class="lineno">  233</span>&#160;</div><div class="line"><a name="l00235"></a><span class="lineno">  235</span>&#160;    std::condition_variable m_requestPostCv;</div><div class="line"><a name="l00236"></a><span class="lineno">  236</span>&#160;</div><div class="line"><a name="l00238"></a><span class="lineno">  238</span>&#160;    std::deque&lt;std::shared_ptr&lt;MockHTTP2Request&gt;&gt; m_pingRequestQueue;</div><div class="line"><a name="l00239"></a><span class="lineno">  239</span>&#160;</div><div class="line"><a name="l00241"></a><span class="lineno">  241</span>&#160;    std::mutex m_pingRequestMutex;</div><div class="line"><a name="l00242"></a><span class="lineno">  242</span>&#160;</div><div class="line"><a name="l00243"></a><span class="lineno">  243</span>&#160;    <span class="comment">// Used to wake a thread that is waiting for a Ping request.</span></div><div class="line"><a name="l00244"></a><span class="lineno">  244</span>&#160;    std::condition_variable m_pingRequestCv;</div><div class="line"><a name="l00245"></a><span class="lineno">  245</span>&#160;</div><div class="line"><a name="l00247"></a><span class="lineno">  247</span>&#160;    std::string m_headerMatch;</div><div class="line"><a name="l00248"></a><span class="lineno">  248</span>&#160;</div><div class="line"><a name="l00250"></a><span class="lineno">  250</span>&#160;    std::condition_variable m_requestHeaderCv;</div><div class="line"><a name="l00251"></a><span class="lineno">  251</span>&#160;</div><div class="line"><a name="l00253"></a><span class="lineno">  253</span>&#160;    <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_promise_future_pair_3_01void_01_4.html">PromiseFuturePair&lt;void&gt;</a> m_receivedPauseOnSend;</div><div class="line"><a name="l00254"></a><span class="lineno">  254</span>&#160;</div><div class="line"><a name="l00256"></a><span class="lineno">  256</span>&#160;    <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1http.html#ac0bd21aabffbf134eb81295b65839893">http::HTTPResponseCode</a> m_postResponseCode;</div><div class="line"><a name="l00257"></a><span class="lineno">  257</span>&#160;</div><div class="line"><a name="l00259"></a><span class="lineno">  259</span>&#160;    std::size_t m_maxPostRequestsEnqueued;</div><div class="line"><a name="l00260"></a><span class="lineno">  260</span>&#160;</div><div class="line"><a name="l00263"></a><span class="lineno">  263</span>&#160;    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">unsigned</span> READ_DATA_BUF_SIZE = 100;</div><div class="line"><a name="l00264"></a><span class="lineno">  264</span>&#160;};</div><div class="line"><a name="l00265"></a><span class="lineno">  265</span>&#160;</div><div class="line"><a name="l00266"></a><span class="lineno">  266</span>&#160;}  <span class="comment">// namespace test</span></div><div class="line"><a name="l00267"></a><span class="lineno">  267</span>&#160;}  <span class="comment">// namespace http2</span></div><div class="line"><a name="l00268"></a><span class="lineno">  268</span>&#160;}  <span class="comment">// namespace utils</span></div><div class="line"><a name="l00269"></a><span class="lineno">  269</span>&#160;}  <span class="comment">// namespace avsCommon</span></div><div class="line"><a name="l00270"></a><span class="lineno">  270</span>&#160;}  <span class="comment">// namespace alexaClientSDK</span></div><div class="line"><a name="l00271"></a><span class="lineno">  271</span>&#160;</div><div class="line"><a name="l00272"></a><span class="lineno">  272</span>&#160;<span class="preprocessor">#endif  // ALEXA_CLIENT_SDK_ACL_TEST_TRANSPORT_MOCKHTTP2CONNECTION_H_</span></div><div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1test_1_1_mock_h_t_t_p2_connection_html_ae73ac9e3c91c05bdb6d9d5561c572c69"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1test_1_1_mock_h_t_t_p2_connection.html#ae73ac9e3c91c05bdb6d9d5561c572c69">alexaClientSDK::avsCommon::utils::http2::test::MockHTTP2Connection::getRequestsNum</a></div><div class="ttdeci">std::size_t getRequestsNum()</div><div class="ttdef"><b>Definition:</b> MockHTTP2Connection.cpp:209</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1test_1_1_mock_h_t_t_p2_connection_html_a03b41569db4f1c7948e2cea41977a932"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1test_1_1_mock_h_t_t_p2_connection.html#a03b41569db4f1c7948e2cea41977a932">alexaClientSDK::avsCommon::utils::http2::test::MockHTTP2Connection::MockHTTP2Connection</a></div><div class="ttdeci">MockHTTP2Connection(std::string dURL, std::string pingURL)</div><div class="ttdef"><b>Definition:</b> MockHTTP2Connection.cpp:26</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1test_1_1_mock_h_t_t_p2_connection_html_afc007d1528aba47093b2af215f5495c8"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1test_1_1_mock_h_t_t_p2_connection.html#afc007d1528aba47093b2af215f5495c8">alexaClientSDK::avsCommon::utils::http2::test::MockHTTP2Connection::respondToDownchannelRequests</a></div><div class="ttdeci">bool respondToDownchannelRequests(long responseCode, bool sendResponseFinished, const std::chrono::milliseconds timeout)</div><div class="ttdef"><b>Definition:</b> MockHTTP2Connection.cpp:171</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1test_1_1_mock_h_t_t_p2_connection_html_aa56f9787b2a1d233a9c197678c2026d0"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1test_1_1_mock_h_t_t_p2_connection.html#aa56f9787b2a1d233a9c197678c2026d0">alexaClientSDK::avsCommon::utils::http2::test::MockHTTP2Connection::createAndSendRequest</a></div><div class="ttdeci">std::shared_ptr&lt; HTTP2RequestInterface &gt; createAndSendRequest(const HTTP2RequestConfig &amp;config)</div><div class="ttdef"><b>Definition:</b> MockHTTP2Connection.cpp:33</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1http_html_ac0bd21aabffbf134eb81295b65839893"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1http.html#ac0bd21aabffbf134eb81295b65839893">alexaClientSDK::avsCommon::utils::http::HTTPResponseCode</a></div><div class="ttdeci">HTTPResponseCode</div><div class="ttdef"><b>Definition:</b> HttpResponseCode.h:29</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_request_config_html"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_request_config.html">alexaClientSDK::avsCommon::utils::http2::HTTP2RequestConfig</a></div><div class="ttdef"><b>Definition:</b> HTTP2RequestConfig.h:42</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_connection_interface_html"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_connection_interface.html">alexaClientSDK::avsCommon::utils::http2::HTTP2ConnectionInterface</a></div><div class="ttdef"><b>Definition:</b> HTTP2ConnectionInterface.h:33</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1test_1_1_mock_h_t_t_p2_connection_html_a2eb16d6be8cd93db5022ec9da7da5505"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1test_1_1_mock_h_t_t_p2_connection.html#a2eb16d6be8cd93db5022ec9da7da5505">alexaClientSDK::avsCommon::utils::http2::test::MockHTTP2Connection::waitForPingRequest</a></div><div class="ttdeci">std::shared_ptr&lt; MockHTTP2Request &gt; waitForPingRequest(const std::chrono::milliseconds timeout)</div><div class="ttdef"><b>Definition:</b> MockHTTP2Connection.cpp:162</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1test_1_1_mock_h_t_t_p2_connection_html_a12d64348573609658cd74604375f9fe6"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1test_1_1_mock_h_t_t_p2_connection.html#a12d64348573609658cd74604375f9fe6">alexaClientSDK::avsCommon::utils::http2::test::MockHTTP2Connection::dequePostRequest</a></div><div class="ttdeci">std::shared_ptr&lt; MockHTTP2Request &gt; dequePostRequest()</div><div class="ttdef"><b>Definition:</b> MockHTTP2Connection.cpp:217</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1test_1_1_mock_h_t_t_p2_connection_html_aa12164eae6b3ff036135f241c4948a76"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1test_1_1_mock_h_t_t_p2_connection.html#aa12164eae6b3ff036135f241c4948a76">alexaClientSDK::avsCommon::utils::http2::test::MockHTTP2Connection::waitForRequestWithHeader</a></div><div class="ttdeci">bool waitForRequestWithHeader(std::chrono::milliseconds timeout)</div><div class="ttdef"><b>Definition:</b> MockHTTP2Connection.cpp:106</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1test_1_1_mock_h_t_t_p2_connection_html_ad7a25b5377ecdb6190b3b1d0ec0c9a13"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1test_1_1_mock_h_t_t_p2_connection.html#ad7a25b5377ecdb6190b3b1d0ec0c9a13">alexaClientSDK::avsCommon::utils::http2::test::MockHTTP2Connection::setWaitRequestHeader</a></div><div class="ttdeci">void setWaitRequestHeader(const std::string &amp;matchString)</div><div class="ttdef"><b>Definition:</b> MockHTTP2Connection.cpp:101</div></div>
<div class="ttc" id="_message_consumer_interface_8h_html"><div class="ttname"><a href="_message_consumer_interface_8h.html">MessageConsumerInterface.h</a></div></div>
<div class="ttc" id="_http_response_code_8h_html"><div class="ttname"><a href="_http_response_code_8h.html">HttpResponseCode.h</a></div></div>
<div class="ttc" id="_h_t_t_p2_connection_interface_8h_html"><div class="ttname"><a href="_h_t_t_p2_connection_interface_8h.html">HTTP2ConnectionInterface.h</a></div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1test_1_1_mock_h_t_t_p2_connection_html_a844bcc3b252c50d223cb2d109ff33941"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1test_1_1_mock_h_t_t_p2_connection.html#a844bcc3b252c50d223cb2d109ff33941">alexaClientSDK::avsCommon::utils::http2::test::MockHTTP2Connection::dequePingRequest</a></div><div class="ttdeci">std::shared_ptr&lt; MockHTTP2Request &gt; dequePingRequest()</div><div class="ttdef"><b>Definition:</b> MockHTTP2Connection.cpp:240</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1test_1_1_mock_h_t_t_p2_connection_html_a840e97bf24051d438b107c430fbf2f4e"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1test_1_1_mock_h_t_t_p2_connection.html#a840e97bf24051d438b107c430fbf2f4e">alexaClientSDK::avsCommon::utils::http2::test::MockHTTP2Connection::getDownchannelRequestsNum</a></div><div class="ttdeci">std::size_t getDownchannelRequestsNum()</div><div class="ttdef"><b>Definition:</b> MockHTTP2Connection.cpp:213</div></div>
<div class="ttc" id="_mock_h_t_t_p2_request_8h_html"><div class="ttname"><a href="_mock_h_t_t_p2_request_8h.html">MockHTTP2Request.h</a></div></div>
<div class="ttc" id="_promise_future_pair_8h_html"><div class="ttname"><a href="_promise_future_pair_8h.html">PromiseFuturePair.h</a></div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1test_1_1_mock_h_t_t_p2_connection_html_a3b1ca5815b583e362791ca1c8c2d2845"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1test_1_1_mock_h_t_t_p2_connection.html#a3b1ca5815b583e362791ca1c8c2d2845">alexaClientSDK::avsCommon::utils::http2::test::MockHTTP2Connection::MOCK_METHOD0</a></div><div class="ttdeci">MOCK_METHOD0(disconnect, void())</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1test_1_1_mock_h_t_t_p2_connection_html_a314ecbe9bef579ea5630f0072eb3ad0c"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1test_1_1_mock_h_t_t_p2_connection.html#a314ecbe9bef579ea5630f0072eb3ad0c">alexaClientSDK::avsCommon::utils::http2::test::MockHTTP2Connection::getDownchannelRequest</a></div><div class="ttdeci">std::shared_ptr&lt; MockHTTP2Request &gt; getDownchannelRequest(std::chrono::milliseconds timeout=std::chrono::milliseconds(0))</div><div class="ttdef"><b>Definition:</b> MockHTTP2Connection.cpp:192</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_connection_interface_html_a23a3d2cedcddac0db490af9565b80cb3"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_connection_interface.html#a23a3d2cedcddac0db490af9565b80cb3">alexaClientSDK::avsCommon::utils::http2::HTTP2ConnectionInterface::disconnect</a></div><div class="ttdeci">virtual void disconnect()=0</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1test_1_1_mock_h_t_t_p2_connection_html_afa537ac3f87f6934e6b53cc742965edc"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1test_1_1_mock_h_t_t_p2_connection.html#afa537ac3f87f6934e6b53cc742965edc">alexaClientSDK::avsCommon::utils::http2::test::MockHTTP2Connection::getMaxPostRequestsEnqueud</a></div><div class="ttdeci">std::size_t getMaxPostRequestsEnqueud()</div><div class="ttdef"><b>Definition:</b> MockHTTP2Connection.cpp:250</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_html"><div class="ttname"><a href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></div><div class="ttdoc">Whether or not curl logs should be emitted. </div><div class="ttdef"><b>Definition:</b> AVSConnectionManager.h:37</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1test_1_1_mock_h_t_t_p2_connection_html"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1test_1_1_mock_h_t_t_p2_connection.html">alexaClientSDK::avsCommon::utils::http2::test::MockHTTP2Connection</a></div><div class="ttdef"><b>Definition:</b> MockHTTP2Connection.h:45</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1test_1_1_mock_h_t_t_p2_connection_html_a5923cb96afe8bbc60d9455fc5a8d8d54"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1test_1_1_mock_h_t_t_p2_connection.html#a5923cb96afe8bbc60d9455fc5a8d8d54">alexaClientSDK::avsCommon::utils::http2::test::MockHTTP2Connection::waitForPostRequest</a></div><div class="ttdeci">std::shared_ptr&lt; MockHTTP2Request &gt; waitForPostRequest(const std::chrono::milliseconds timeout)</div><div class="ttdef"><b>Definition:</b> MockHTTP2Connection.cpp:115</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1test_1_1_mock_h_t_t_p2_connection_html_aad44c8e1d7147d4671ac911d38fe3b52"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1test_1_1_mock_h_t_t_p2_connection.html#aad44c8e1d7147d4671ac911d38fe3b52">alexaClientSDK::avsCommon::utils::http2::test::MockHTTP2Connection::dequeRequest</a></div><div class="ttdeci">std::shared_ptr&lt; MockHTTP2Request &gt; dequeRequest()</div><div class="ttdef"><b>Definition:</b> MockHTTP2Connection.cpp:94</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_promise_future_pair_3_01void_01_4_html"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_promise_future_pair_3_01void_01_4.html">alexaClientSDK::avsCommon::utils::PromiseFuturePair&lt; void &gt;</a></div><div class="ttdef"><b>Definition:</b> PromiseFuturePair.h:75</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1test_1_1_mock_h_t_t_p2_connection_html_a6e18d00b4ef1a11f057ba73cc9c640a6"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1test_1_1_mock_h_t_t_p2_connection.html#a6e18d00b4ef1a11f057ba73cc9c640a6">alexaClientSDK::avsCommon::utils::http2::test::MockHTTP2Connection::isPauseOnSendReceived</a></div><div class="ttdeci">bool isPauseOnSendReceived(std::chrono::milliseconds timeout=std::chrono::milliseconds(0))</div><div class="ttdef"><b>Definition:</b> MockHTTP2Connection.cpp:201</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1test_1_1_mock_h_t_t_p2_connection_html_acaf3f4faab6fb56b7919f5200f1cfdd8"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1test_1_1_mock_h_t_t_p2_connection.html#acaf3f4faab6fb56b7919f5200f1cfdd8">alexaClientSDK::avsCommon::utils::http2::test::MockHTTP2Connection::isRequestQueueEmpty</a></div><div class="ttdeci">bool isRequestQueueEmpty()</div><div class="ttdef"><b>Definition:</b> MockHTTP2Connection.cpp:77</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1test_1_1_mock_h_t_t_p2_connection_html_af600d2888fd3f73e088ed7e3e8d8e75b"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1test_1_1_mock_h_t_t_p2_connection.html#af600d2888fd3f73e088ed7e3e8d8e75b">alexaClientSDK::avsCommon::utils::http2::test::MockHTTP2Connection::setResponseToPOSTRequests</a></div><div class="ttdeci">void setResponseToPOSTRequests(http::HTTPResponseCode responseCode)</div><div class="ttdef"><b>Definition:</b> MockHTTP2Connection.cpp:187</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1test_1_1_mock_h_t_t_p2_connection_html_a5d6328d641903addbb8cac3320a6f531"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1test_1_1_mock_h_t_t_p2_connection.html#a5d6328d641903addbb8cac3320a6f531">alexaClientSDK::avsCommon::utils::http2::test::MockHTTP2Connection::waitForRequest</a></div><div class="ttdeci">std::shared_ptr&lt; MockHTTP2Request &gt; waitForRequest(std::chrono::milliseconds timeout, unsigned requestNum=1)</div><div class="ttdef"><b>Definition:</b> MockHTTP2Connection.cpp:82</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1test_1_1_mock_h_t_t_p2_connection_html_af216f9c92b34a4dbf2b7c0e951972ca9"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1test_1_1_mock_h_t_t_p2_connection.html#af216f9c92b34a4dbf2b7c0e951972ca9">alexaClientSDK::avsCommon::utils::http2::test::MockHTTP2Connection::~MockHTTP2Connection</a></div><div class="ttdeci">~MockHTTP2Connection()=default</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1test_1_1_mock_h_t_t_p2_connection_html_ab13456bfa7e80b6b535ac3b987984670"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1test_1_1_mock_h_t_t_p2_connection.html#ab13456bfa7e80b6b535ac3b987984670">alexaClientSDK::avsCommon::utils::http2::test::MockHTTP2Connection::getPostRequestsNum</a></div><div class="ttdeci">std::size_t getPostRequestsNum()</div><div class="ttdef"><b>Definition:</b> MockHTTP2Connection.cpp:205</div></div>
</div><!-- fragment --></div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
